Loading...
Searching...
No Matches
L4Re::Video::Goos::Info Struct Reference

Information structure of a Goos. More...

`#include <goos>`

Collaboration diagram for L4Re::Video::Goos::Info:

## Public Member Functions

bool | auto_refresh () const
| Return whether this Goos does auto refreshing or the view refresh functions must be used to make changes visible.
bool | has_pointer () const
| Return whether a pointer is used by the provider of the Goos.
bool | has_dynamic_views () const
| Return whether dynamic view are supported.
bool | has_dynamic_buffers () const
| Return whether dynamic buffers are supported.

## Data Fields

unsigned long | width
| Width.
unsigned long | height
| Height.
unsigned | flags
| Flags, see Flags.
unsigned | num_static_views
| Number of static view.
unsigned | num_static_buffers
| Number of static buffers.
Pixel_info | pixel_info
| Pixel information.

## Detailed Description

Information structure of a Goos.

Definition at line 237 of file goos.

The documentation for this struct was generated from the following file:

- l4/re/video/goos